[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'typinfo' (#rtl)

# TParamFlag

Function or procedure parameter flags.

## Declaration

Source position: typinfo.pp line 56

`type TParamFlag = (`
`pfVar,` |  | Parameter is a var parameter (passed by reference)
`pfConst,` |  | Parameter is a const parameter (i.e. cannot be modified)
`pfArray,` |  | Parameter is an array parameter
`pfAddress,` |  | Parameter is passed by address
`pfReference,` |  | Parameter is passed by reference
`pfOut` |  | Parameter is a string parameter
`);`

## Description

TParamFlag describes a parameter.

Documentation generated on: Feb 26 2014